% !TeX TS-program = lualatex
% !TeX spellcheck = en_US


\documentclass[
ngerman,%globale Übergabe der Hauptsprache
aspectratio=169,%Beamer eigene Option zum Umschalten des Formates
color={accentcolor=2d},
logo=true,%Kein Logo auf Folgeseiten
colorframetitle=true,%Akzentfarbe auch im Frametitle
%	logofile=example-image, %Falls die Logo Dateien nicht vorliegen
]{tudabeamer}
\usepackage[main=english]{babel}




%Makros für Formatierungen der Doku
%Im Allgemeinen nicht notwendig!
\let\code\texttt
\newcommand{\ceil}[1]{\lceil {#1} \rceil}

% add some space to itemize lists
\newlength{\wideitemsep}
\setlength{\wideitemsep}{\itemsep}
\addtolength{\wideitemsep}{8pt}
\let\olditem\item
\renewcommand{\item}{\setlength{\itemsep}{\wideitemsep}\olditem}


\title{	Lossless/Lossy Volume Data Compression}
\subtitle{PMPP project - second status presentation}
\author[N. Beck \and P. Hollmann]{Niklas Beck \and Paul Hollmann}
\department{Programming Massively Parallel Processors}
\institute{Lossless/Lossy Volume Data Compression}

%Fremdlogo
%Logo Macro mit Sternchen skaliert automatisch, sodass das Logo in die Fußzeile passt
\logo*{\includegraphics{ce_logo_black.pdf}}

% Da das Bild frei wählbar nach Breite und/oder Höhe skaliert werden kann, werden \width/\height entsprechend gesetzt. So kann die Fläche optimal gefüllt werden.
%Sternchenversion skaliert automatisch und beschneidet das Bild, um die Fläche zu füllen.
\titlegraphic{\includegraphics[height=.725\textheight]{stagbeetle.png}}
\date{10th and 11th Jan 2022}

\begin{document}
	\maketitle	
	\section{Outline}
	
	\begin{frame}{Project Outline}
		\framesubtitle{general working topics and first ideas from the first status presentation}
		\begin{itemize}
			\item \textbf{optimize block/brick compression (codeword generation)}
			\begin{itemize}
				\item [A] compute the \textit{transformations} of each \textit{brick} separate (in parallel)
				\item [B] compute the three \textit{transformations} of each \textit{brick} in separate (parallel) calls
				\item [C] find way to compute each \textit{transformation} with more than one thread (maybe)
			\end{itemize}
		
		
			\item \textbf{optimize vector quantization code}

			\begin{itemize}
				\item [A] relaxation of \textit{codewords} and recomputing of \textit{cluster}-centers
				\item [B] setup initial \textit{clusters} and order \textit{codewords}
			\end{itemize}
		\end{itemize}
	\end{frame}	

	\section{Actual status and first results}
	\begin{frame}{optimize block/brick compression}
		\begin{itemize}
			\item [A] compute the \textit{transformations} of each \textit{brick} separate (in parallel)
			\begin{itemize}
				\item[done] port data types (volume data and working arrays) to GPU
				\item[wip] integrate the GPU version into the existing project
			\end{itemize}
			\item [B] compute the three \textit{transformations} of each \textit{brick} in separate (parallel) calls
			\begin{itemize}
				\item[maybe] not that big performance boost
			\end{itemize}
			\item [C] find way to compute each \textit{transformation} with more than one thread (maybe)
			\begin{itemize}
				\item[pending] better performance than B
				\item[$\rightarrow$] priority before B
			\end{itemize}
		\end{itemize}
	\end{frame}

	\begin{frame}{optimize vector quantization(\textit{vq}) code}
		\begin{itemize}
			\item [A] relaxation of \textit{codewords} and recomputing of \textit{cluster-centers}
			\begin{itemize}
				\item[done] port data types (volume data and working arrays) to GPU
				\item[done] integrate the GPU version into the existing project
				\item[done] fully functional {\footnotesize(simpler)} \textit{vq} algorithm 
				\item[$\rightarrow$] relaxation-part performance 10x to 100x depending on data set and chosen compression factor
				\item[further] use some optimizations in the reassignment of \textit{codewords} to \textit{cluster-centers}
			\end{itemize}
			\item [B] setup initial \textit{clusters} and order \textit{codewords}
			\begin{itemize}
				\item[maybe] part of whole \textit{vq} algorithm $\approx \frac{1}{4}$ to $\frac{1}{15}$
			\end{itemize}
		\end{itemize}
	\end{frame}

\end{document}
